// Pizza.java

import ch.aplu.util.GPanel;
import java.awt.Color;

public abstract class Pizza
{
  protected GPanel p = new GPanel(-10, 10, -10, 10);
  
  public void createPizza() 
  {
    drawDough();
    drawTomato();
    drawIngredients();
    drawMozzarella();
  }

  private void drawDough() 
  {
    Color bread = new Color(255, 218, 148); 
    p.color(bread);
    p.move(0, 0);
    p.fillCircle(7); 
  }

  private void drawTomato() 
  {
    Color tomato = new Color(200, 50, 0); 
    p.color(tomato);
    p.fillCircle(6); 
  }
  
  private void drawMozzarella() 
  {
    Color mozarella = new Color(243, 243, 210); 
    p.color(mozarella);
    for (int i = 0; i < 6; i++)
    {
      p.move(Math.sin(i * Math.PI/3) * 4, Math.cos(i * Math.PI/3) * 4);
      p.fillCircle(1); 
    }
  }
  
  protected abstract void drawIngredients(); 
    
  protected abstract double getPrice();
    
  public void displayPrice() 
  {
    p.color(Color.blue);
    p.text(-8, -8, "Please pay  " + getPrice() + "0 Fr.");
  }
}
